CEIL(3)

NAME
ceil, ceilf, ceill, floor, floorf, floorl - ceiling and floor

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
ceil(double x);
float
ceilf(float x);
long double
ceill(long double x);
double
floor(double x);
float
floorf(float x);
long double
floorl(long double x);

DESCRIPTION
The ceil(), ceilf(), and ceill() functions return the smallest integral value greater than or equal to x. Conversely, the floor(), floorf(), and floorl() functions return the largest integral value less than or equal to x.

SEE ALSO
abs(3), fabs(3), math(3), nextafter(3), rint(3)

STANDARDS
The described functions conform to isoC-99.